%define libname MixKit
Summary: QSlim and other applications from SlimKit collection of surface modelling tools
Name: QSlim
Version: 2.0
Release: 1.PU_IAS.4
Copyright: GPL
Group: Scientific/Applications
BuildRoot: /tmp/%{name}-buildroot
Source: http://graphics.cs.uiuc.edu/~garland/dist/qslim-%{version}.tar.gz
Patch1: QSlim-cxx.patch
URL: http://graphics.cs.uiuc.edu/~garland/software/qslim.html
Vendor: Michael Garland garland@uiuc.edu
Packager: Josko Plazonic Mathematics Dept. PU <plazonic@math.princeton.edu>
BuildRequires: libxforms-devel

%description
This is the SlimKit collection of surface modeling tools.  Most of the
programs in this collection simply provide an interface to the
underlying functionality of the MixKit library (see MixKit's README.txt).

The primary component of this package is the QSlim 2.0 surface
simplification tool qslim..  Pleas QSlim.txt for further information.  
There are also several useful programs in for manipulating SMF model
files.

%package -n %{libname}
Summary: %{libname} Software Library for surface modelling and simplification algorithms
Group: Scientific/Libraries

%description -n %{libname}
%{libname} is a Software Library for surface modelling, it contains also
simplification algorithms, experimental super-minimal scripting interface and 
other features.

%changelog
* Fri May 02 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9

* Wed Dec 05 2001 Josko Plazonic <plazonic@math.princeton.edu>
- initial packaging release

%prep
%setup -q -n qslim-%{version}
%patch1 -p1

%build
cd mixkit/build
./configure --prefix=%{_prefix}--with-x --with-xformslib=/usr/X11R6/lib --with-xformsinc=/usr/X11R6/include
cd ../src
perl -pi -e 's|/\* #undef MIX_ANSI_IOSTREAMS \*/|#define MIX_ANSI_IOSTREAMS 1|' mixcfg.h
make XFORMS_LIBS="-lforms -lformsGL"
cd ../../tools/qslim/
make qslim XFORMS_LIBS="-lforms -lformsGL"
make qvis XFORMS_LIBS="-lforms -lformsGL"
cd ../filters
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/mixkit
cp tools/qslim/qslim tools/qslim/qvis $RPM_BUILD_ROOT/%{_prefix}/bin/
cp `find tools/filters/ -type f -perm +111` $RPM_BUILD_ROOT/%{_prefix}/bin/
cp mixkit/src/libmix.a $RPM_BUILD_ROOT/%{_libdir}/
cp mixkit/src/[mMs]*.h $RPM_BUILD_ROOT/%{_includedir}/mixkit/
gzip mixkit/*.txt

%files
%doc tools/qslim/QSlim.txt
%{_prefix}/bin/*

%files -n %{libname}
%{_libdir}/libmix.a
%{_includedir}/mixkit
%doc examples mixkit/*.txt* mixkit/doc/SMF.txt


%clean
rm -rf $RPM_BUILD_ROOT
